API Reference / Relationship Types
/relationship_types Get a list of relationship types
Returns the relationship types defined on your account, each with its variants — the labels used for the two ends of a relationship. A type with one variant is symmetrical (Partner/Partner); one with two is directional (Manager/Reports to).
Query parameters (11)
| Name | Type | Description |
|---|---|---|
search | string | Search relationship types by relationship variants |
symmetrical | boolean | Filter only symmetrical/non-symmetrical relationship types |
date_filter | string | Signals which date field to be used for only returning resources, added or edited, in a specified date range (only to be used with `since` and/or `until`, not with `modified_since` or `unmodified_since`) |
since | string | Specifies the start of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
until | string | Specifies the end of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
modified_since | string | Return only resources that were modified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
unmodified_since | string | Return only resources that were unmodified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
sort_by | string | Specify field by which to order the results (use in conjunction with `order`) |
order | string | Specify the order (ascending or descending) of the sort of the results (use in conjunction with `sort_by`) |
page | integer | Page number. Starts from 1. Default is 1. |
per_page | integer | Number of records to return. Maximum 100 allowed. Default is 10. |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
relationship_typesarray<object>array item fields →
relationship_typeobjectThe relationship types that identifies the relationships between the contacts.
object fields →
idstringbson-idID of the relationship type
symmetricalbooleanIs the relationship symmetrical? (read only).
relationship_variantsarray<object>requiredThe directional variants of this relationship type.
array item fields →
idstringbson-idID of the relationship type
namestringThe relationship variant name
created_atstringdate-timeCreation time of the relationship type
modified_atstringdate-timeLast modification time of the relationship type
total_countintegerint32Total number of items
pageintegerint32Current page number
per_pageintegerint32Number of items returned in each page
max_pageintegerint32The page number of the last page of items
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.